Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class TableDirectory

    java.lang.Object
      org.apache.batik.svggen.font.table.TableDirectory

public class TableDirectory
extends java.lang.Object

Constructor Summary
`TableDirectory(java.io.RandomAccessFile raf)`

Method Summary
`DirectoryEntry` | `getEntry(int index)`
`DirectoryEntry` | `getEntryByTag(int tag)`
`short` | `getEntrySelector()`
`short` | `getNumTables()`
`short` | `getRangeShift()`
`short` | `getSearchRange()`
`int` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDirectory

    public TableDirectory(java.io.RandomAccessFile raf)
                   throws java.io.IOException

Method Detail

### getEntry

    public DirectoryEntry getEntry(int index)

### getEntryByTag

    public DirectoryEntry getEntryByTag(int tag)

### getEntrySelector

    public short getEntrySelector()

### getNumTables

    public short getNumTables()

### getRangeShift

    public short getRangeShift()

### getSearchRange

    public short getSearchRange()

### getVersion

    public int getVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.